# nvmet.host.query

Sent on nvmet.host changes.

Type: object

##

#### NVMetHostAddedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### NVMetHostEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the NVMe-oF host.

##

#### Hostnqn

Type: string

NQN of the host that will connect to this TrueNAS.

Must be at least `1` characters long

##

#### Description

Type: string Default: ""

Description of the NVMet host.

##

#### Dhchap Key

Default: null

If set, the secret that the host must present when connecting.

A suitable secret can be generated using `nvme gen-dhchap-key`, or by using the `nvmet.host.generate_key` API.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Dhchap Ctrl Key

Default: null

If set, the secret that this TrueNAS will present to the host when the host is connecting (Bi-Directional Authentication).

A suitable secret can be generated using `nvme gen-dhchap-key`, or by using the `nvmet.host.generate_key` API.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Dhchap Dhgroup

Default: null

If selected, the DH (Diffie-Hellman) key exchange built on top of CHAP to be used for authentication.

## Any of

Type: enum (of string)

##### Must be one of:

- "2048-BIT"
- "3072-BIT"
- "4096-BIT"
- "6144-BIT"
- "8192-BIT"

Type: null

##

#### Dhchap Hash

Type: enum (of string) Default: "SHA-256"

HMAC (Hashed Message Authentication Code) to be used in conjunction if a `dhchap_dhgroup` is selected.

##### Must be one of:

- "SHA-256"
- "SHA-384"
- "SHA-512"

##

#### NVMetHostChangedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### NVMetHostEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the NVMe-oF host.

##

#### Hostnqn

Type: string

NQN of the host that will connect to this TrueNAS.

Must be at least `1` characters long

##

#### Description

Type: string Default: ""

Description of the NVMet host.

##

#### Dhchap Key

Default: null

If set, the secret that the host must present when connecting.

A suitable secret can be generated using `nvme gen-dhchap-key`, or by using the `nvmet.host.generate_key` API.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Dhchap Ctrl Key

Default: null

If set, the secret that this TrueNAS will present to the host when the host is connecting (Bi-Directional Authentication).

A suitable secret can be generated using `nvme gen-dhchap-key`, or by using the `nvmet.host.generate_key` API.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Dhchap Dhgroup

Default: null

If selected, the DH (Diffie-Hellman) key exchange built on top of CHAP to be used for authentication.

## Any of

Type: enum (of string)

##### Must be one of:

- "2048-BIT"
- "3072-BIT"
- "4096-BIT"
- "6144-BIT"
- "8192-BIT"

Type: null

##

#### Dhchap Hash

Type: enum (of string) Default: "SHA-256"

HMAC (Hashed Message Authentication Code) to be used in conjunction if a `dhchap_dhgroup` is selected.

##### Must be one of:

- "SHA-256"
- "SHA-384"
- "SHA-512"

##

#### NVMetHostRemovedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

Required roles: SHARING_NVME_TARGET_READ